export enum LogLevel {
    Info,
    Warn,
    Error,
    Fatal,
}

export default class Logger {
    public static enabled = true;

    static sendMessage(msg: string, logLevel: LogLevel = LogLevel.Info) {
        if (!Logger.enabled) {
            return;
        }

        console.log(msg);
    }

    static enable() {
        this.enabled = true;
    }

    static disable() {
        this.enabled = false;
    }
}
